Subject: GVRP

From: Patrick McHardy <[email-masked]>
Date: Tue, 27 May 2008 18:10:51 +0200

I've written an applicant-only GVRP implementation for the kernel
some time ago (for those not familiar: it dynamically registers
VLANs with switches. Applicant-only means its only the "client-side")
and I'm wondering whether I should merge it. It should be quite
easy to move it to userspace, OTOH I think it would be nice to
have the client-side support for this without having to install
additional daemons. But since this is not a really strong argument,
I'd like to hear if anyone has an opinion about this.

The GVRP implementation sits on top of an GARP implementation,
which could also support GMRP for multicast address registrations.

I'm not including the patch yet because it would need to be
split up and needs some minor cleanups, just for orientation, the
GARP implementation is about 600 lines of simple code, the GVRP
implementation something like 60 lines of even simpler code.

Opinions welcome.